#!/bin/sh
#Audio and WiFi Patch script for Mac Pro 3,1 (2008)
#Written by StarPlayr
#Full Disk Access in Terminal needs to be set to on and run as sudo
#Test without sudo
#Kexts can be obtained from Dosdude's Mojave Patcher or macOS Installations

source="$HOME/Desktop/MacPro31Kexts/" #Folder on desktop
destVolume="/"

kext="/System/Library/Extensions/"
plugins="/System/Library/UserEventPlugins/"
dest=$destVolume$kext

userEventPlugins=$destVolume$plugins

wild="/*"

#start audio Apple Inc. (c) 2017
audio="AppleHDA.kext" #v281.52 macosx10.13internal
rm -Rf $dest$audio
#end audio

#WiFi Broadcom on Mac Pro 3,1
#Remove V2.kext
rm -Rf "$destVolume/System/Library/Extensions/IO80211FamilyV2.kext"

#Apple Inc. (c) 2009
corecapture="corecapture.kext" #v1.0 macosx10.11internal
rm -Rf $dest$corecapture

#Apple Inc. (c) 2009
coreCaptureResponder="coreCaptureResponder.kext"
rm -Rf $dest$coreCaptureResponder #v1.0 macosx10.11internal

#Apple Inc. (c) 20015
IO80211Family="IO80211Family.kext" #v11.1
rm -Rf $destVolume$IO80211Family #macosx10.11internal
#End WiFi

telemetry="com.apple.telemetry.plugin"

#remove Telemetry UserEvent Plugin
rm -Rf $userEventPlugins$telemetry

#here we set the permissions first, we will keep them with Ditto
chmod -R 755 $source$wild
chown -R 0:0 $source$wild

echo "Replacing Telemetry..." #Comment out for Mojave
ditto -v $source$telemetry $userEventPlugins$telemetry

#This could be done in one line, but it is safer this way
echo "Loading Sound..."
ditto -v $source$audio $dest$audio

echo "Loading WiFi..."
ditto -v $source$corecapture $dest$corecapture
ditto -v $source$coreCaptureResponder $dest$coreCaptureResponder
ditto -v $source$IO80211Family $dest$IO80211Family

echo "Rebooting..."

reboot

#This fixes WiFi and Native Sound on Mac Pro 3,1
#I rewrote this script to have a starting point when
#Rebuilding a Mac Pro 3,1
#After you run these you can use Dosdude's Patch Updater for further patches
#If I have any more fixes specific, I will add that to this script
#StarPlayr (c) 2019

#I take no credit for those who found these kexts for MP3,1 & telemetry UserEventPlugin fix

#removes telemetry and IO80211FamilyV2.kexts
#adds kext for Audio and three Kext's for WiFi
#see dosdude's patch updater to get camera and iPhone video working in Quicktime

#Cheers
#StarPlayr
